Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit.decider
Class DefaultGreedyDecider

    java.lang.Object
      org.drools.planner.core.constructionheuristic.greedyFit.decider.DefaultGreedyDecider

All Implemented Interfaces:
  EventListener, GreedyDecider, GreedySolverPhaseLifecycleListener

    public class DefaultGreedyDecider

extends Object
implements GreedyDecider

Field Summary
`protected boolean` | `assertMoveScoreIsUncorrupted`
`protected boolean` | `assertUndoMoveIsUncorrupted`
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`DefaultGreedyDecider()`

Method Summary
`void` | `decideNextStep(GreedyFitStepScope stepScope)` Decides the next step
`void` | `phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)`
`void` | `setAssertUndoMoveIsUncorrupted(boolean assertUndoMoveIsUncorrupted)`
`void` | `setForager(GreedyForager forager)`
`void` | `setPlanningVariableWalker(PlanningVariableWalker planningVariableWalker)`
`void` | `stepEnded(GreedyFitStepScope greedyFitStepScope)`
`void` | `stepStarted(GreedyFitStepScope greedyFitStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### assertMoveScoreIsUncorrupted

    protected boolean assertMoveScoreIsUncorrupted

### assertUndoMoveIsUncorrupted

    protected boolean assertUndoMoveIsUncorrupted

Constructor Detail

### DefaultGreedyDecider

    public DefaultGreedyDecider()

Method Detail

### setPlanningVariableWalker

    public void setPlanningVariableWalker(PlanningVariableWalker planningVariableWalker)

### setForager

    public void setForager(GreedyForager forager)

### setAssertMoveScoreIsUncorrupted

    public void setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)

### setAssertUndoMoveIsUncorrupted

    public void setAssertUndoMoveIsUncorrupted(boolean assertUndoMoveIsUncorrupted)

### phaseStarted

    public void phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `GreedySolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepStarted` in interface `GreedySolverPhaseLifecycleListener`

### decideNextStep

    public void decideNextStep(GreedyFitStepScope stepScope)

  Description copied from interface: `GreedyDecider`
  Decides the next step

  Specified by:
    `decideNextStep` in interface `GreedyDecider`
  Parameters:
    `stepScope` - never null

### stepEnded

    public void stepEnded(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepEnded` in interface `GreedySolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `GreedySolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.